<template>
<div class="modal inmodal" id="agent_modal">
    <div class="modal-dialog">
        <div class="modal-content animated fadeIn">
            <div class="ibox-title">
                <h5>Agent Form</h5>
            </div>
            <!-- /.ibox-title -->

            <div class="ibox-content" v-bind:class="{ 'sk-loading': modal.pause_save }">
                <div class="sk-spinner sk-spinner-wave">
                    <div class="sk-rect1"></div>
                    <div class="sk-rect2"></div>
                    <div class="sk-rect3"></div>
                    <div class="sk-rect4"></div>
                    <div class="sk-rect5"></div>
                </div>

                <div class="row">
                    <input type="hidden"  v-model="modal.data.id">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.last_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Last Name : </label>
                            <input class="form-control"  v-model="modal.data.last_name">

                            <div v-if="modal.errors.last_name">
                                <span class="help-block" v-for="error in modal.errors.last_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.first_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">First Name : </label>
                            <input class="form-control"  v-model="modal.data.first_name">

                            <div v-if="modal.errors.first_name">
                                <span class="help-block" v-for="error in modal.errors.first_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.middle_name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Middle Name : </label>
                            <input class="form-control"  v-model="modal.data.middle_name">

                            <div v-if="modal.errors.middle_name">
                                <span class="help-block" v-for="error in modal.errors.middle_name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./Name -->

                <div class="row">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.presented_identification  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Presented Identification : </label>
                            <input class="form-control"  v-model="modal.data.presented_identification">

                            <div v-if="modal.errors.presented_identification">
                                <span class="help-block" v-for="error in modal.errors.presented_identification" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.presented_identification_num  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Presented ID #: </label>
                            <input class="form-control"  v-model="modal.data.presented_identification_num">

                            <div v-if="modal.errors.presented_identification_num">
                                <span class="help-block" v-for="error in modal.errors.presented_identification_num" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.started_date  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Date Started : </label>
                            <input type="date" class="form-control"  v-model="modal.data.started_date">

                            <div v-if="modal.errors.started_date">
                                <span class="help-block" v-for="error in modal.errors.started_date" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./row -->

                <div class="row">
                    <div class="col-sm-12 col-md-4 col-lg-4"
                            v-bind:class="{ 'has-error': modal.errors.contact_num  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Contact #: </label>
                            <input class="form-control"  v-model="modal.data.contact_num">

                            <div v-if="modal.errors.contact_num">
                                <span class="help-block" v-for="error in modal.errors.contact_num" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-8 col-lg-8"
                            v-bind:class="{ 'has-error': modal.errors.email  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Email: </label>
                            <input class="form-control"  v-model="modal.data.email">

                            <div v-if="modal.errors.email">
                                <span class="help-block" v-for="error in modal.errors.email" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./row -->
            </div>
            <!-- /.ibox-content -->
            <div class="ibox-footer">
              <div class="pull-right">
                <button type="button" class="btn btn-white btn-sm " data-dismiss="modal">
                  Close
                </button>

                <button @click="save()" 
                        v-if="!modal.pause_save" 
                        class="btn btn-flat btn-primary btn-sm"> 
                  Save
                </button>
              </div>
              <div>&nbsp;<br>&nbsp;</div>
            </div>
            <!-- /.ibox-footer -->
        </div>
        <!-- /.modal-content animated flipInY -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal inmodal -->

</template>

<script>
export default {
    props: [
        'modal'
    ],
    methods: {
        save() {
            this.$emit('save', this.modal.data)
        }
    }
}
</script>
